#{extends 'borderNG.html' /}
<div class="content">
    <ol class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">&{'nonspk.home'}</a></li>
        <li><a href="@{nonSpk.NonSpkCtr.view(nonSpk.lls_id)}">&{'nonspk.view_paket'}</a></li>
        <li class="active">&{'nonspk.jenis_doc'}</li>
    </ol>
#{alert /}

    <table class="table table-sm">
        <tr>
            <td width="300" >&{'nonspk.jenis_realisasi'}</td>
            <td>
            ${models.nonlelang.nonSpk.JenisRealisasiNonSpk.JenisRealisasiNonSpkEnum.fromValue(jenisRealisasiNonSpk.rsk_jenis).label}
            </td>
        </tr>
        #{if jenisRealisasiNonSpk?.rsk_jenis == 7}
            <tr>
                <td width="300" >&{'nonspk.nama_dokumen'}</td>
                <td>
                ${jenisRealisasiNonSpk.rsk_nama_dok}
                </td>
            </tr>
        #{/if}
        <tr>
            <td>
                &{'nonspk.penyedia'}
            </td>
            #{if jenisRealisasiNonSpk.is_penyedia}
            <td>
                <div class="card card-info" id="panel-penyedia">

                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>&{'nonspk.nama_perusahaan'}</th>
                            <th>&{'nonspk.npwp'}</th>
                            <th>&{'nonspk.email'}</th>
                            <th>&{'nonspk.telepon'}</th>
                            <th>&{'nonspk.alamat'}</th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:realisasiPenyediaNonSpkList, as:'realiasiPenyediaNonSpk'}
                        <tr>
                            <td>${realiasiPenyediaNonSpk_index}</td>
                            <td>${realiasiPenyediaNonSpk.rp_nama_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rp_npwp_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rp_email_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rp_telp_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rp_alamat_rekanan}</td>
                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                </div>
            </td>
            #{/if}
            #{else}
            <td>
                <div class="card card-danger" id="panel-nonpenyedia">

                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>&{'nonspk.nama_perusahaan'}</th>
                            <th>&{'nonspk.npwp'}</th>
                            <th>&{'nonspk.email'}</th>
                            <th>&{'nonspk.telepon'}</th>
                            <th>&{'nonspk.alamat'}</th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:realisasiNonPenyediaNonSpkList, as:'realiasiPenyediaNonSpk'}
                        <tr>
                            <td>${realiasiPenyediaNonSpk_index}</td>
                            <td>${realiasiPenyediaNonSpk.rn_nama_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rn_npwp_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rn_email_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rn_telp_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rn_alamat_rekanan}</td>

                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                </div>
            </td>
            #{/else}
        </tr>
        <tr>
            <td width="300" >&{'nonspk.nomor_dokumen'}</td>
            <td>
                ${jenisRealisasiNonSpk?.rsk_nomor}
            </td>
        </tr>
        <tr>
            <td width="300" >&{'nonspk.nilai_realisasi'}  </td>
            <td>
                ${jenisRealisasiNonSpk?.rsk_nilai}
            </td>
        </tr>
        <tr>
            <td >&{'nonspk.tanggal_realisasi'}</td>
            <td>
                ${jenisRealisasiNonSpk?.rsk_tanggal?.toDatepicker()}
            </td>
        </tr>
        <tr>
            <td width="300" >&{'nonspk.file_upload'} </td>
            <td>
            #{if jenisRealisasiNonSpk?.rsk_id_attachment}
                <input type=hidden name="jenisRealisasiNonSpk.rsk_id_attachment" value="${jenisRealisasiNonSpk?.rsk_id_attachment}" />
                <div>
                    <a href="${jenisRealisasiNonSpk?.getBlob()?.getDownloadUrl()}">${jenisRealisasiNonSpk?.getBlob()?.getFileName()}</a>
                </div>
            #{/if}
            </td>
        </tr>
        <tr>
            <td width="300" >&{'nonspk.keterangan'} </td>
            <td>
            ${jenisRealisasiNonSpk?.rsk_keterangan}
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <a href="@{nonSpk.NonSpkCtr.view(nonSpk.lls_id)}" class="btn btn-secondary">Kembali</a>
            </td>
        </tr>
    </table>
</div>

#{set 'custom_script'}
<script>
    $(document).on('click', '.removeBtn', function() {
        $(this).parent().remove();
    });
</script>
#{/set}